// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('app', ['ionic', 'controllers', 'directives', 'server', 'services', 'filters', 'ngCordova'])

.run(function($ionicPlatform, $cordovaGoogleAnalytics) {
    $ionicPlatform.ready(function() {
        // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
        // for form inputs)
        if(window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
        }
        if(window.StatusBar) {
            // org.apache.cordova.statusbar required
            StatusBar.styleDefault();
        }


        //$cordovaGoogleAnalytics.debugMode();
        //$cordovaGoogleAnalytics.startTrackerWithId('UA-37780503-2');
    });
})

.config(function($stateProvider, $urlRouterProvider) {

    // Ionic uses AngularUI Router which uses the concept of states
    // Learn more here: https://github.com/angular-ui/ui-router
    // Set up the various states which the app can be in.
    // Each state's controller can be found in controllers.js
    $stateProvider

    // setup an abstract state for the tabs directive
    .state('tab', {
        url: "/tab",
        abstract: true,
        templateUrl: "templates/tabs.html"
    })

    // Each tab has its own nav history stack:

    .state('tab.radio', {
        url: "/radio/:surveyId",
        views: {
            'vote-tab': {
                templateUrl: 'templates/survey/radio.html',
                controller: 'RadioCtrl'
            }
        }
    })
    .state('tab.detail', {
        url: "/survey/:surveyId/detail/:detailId",
        views: {
            'vote-tab': {
                templateUrl: 'templates/detail.html',
                controller: 'DetailCtrl'
            }
        }
    })




    .state('tab.settings', {
        url: "/settings",
        views: {
            'settings-tab': {
                templateUrl: 'templates/settings.html',
                controller: 'SettingsCtrl'
            }
        }
    })




    .state('tab.report', {
        url: "/report",
        views: {
            'report-tab': {
                templateUrl: 'templates/report.html',
                controller: 'ReportCtrl'
            }
        }
    })




    .state('phonenumber', {
        url: "/phonenumber",
        templateUrl: 'templates/phonenumber.html',
        controller: 'PhonenumberCtrl'
    })





    //$urlRouterProvider.otherwise('tab/radio/0');


    if (localStorage.getItem("phonenumber") === null) {
        //localStorage.setItem('phonenumber', '');
        $urlRouterProvider.otherwise('/phonenumber');
    } else {
        $urlRouterProvider.otherwise('tab/radio/0');
    }

});
