angular.module('directives', [])

.directive("donut", function() {
	return {
		restrict: "EA",
		replace: false,
		scope: {
			percentage: '=percentage',
			size: '=size',
			width: '=width'
		},
        template: "<div class='test'></div>",
		link: function(scope, element, attrs) {
			var svgns = "http://www.w3.org/2000/svg";

			// primary wedge
			var path = document.createElementNS(svgns, "path");
			var unit = (Math.PI *2) / 100;
			var startAngle = 0;
			var endAngle = scope.percentage * unit - 0.0001;
			var x1 = (scope.size / 2) + (scope.size / 2) * Math.sin(startAngle);
			var y1 = (scope.size / 2) - (scope.size / 2) * Math.cos(startAngle);
			var x2 = (scope.size / 2) + (scope.size / 2) * Math.sin(endAngle);
			var y2 = (scope.size / 2) - (scope.size / 2) * Math.cos(endAngle);

			var size2 = scope.size-(scope.width*2);
			var x4 = scope.width + (size2 / 2) + (size2 / 2) * Math.sin(startAngle);
			var y4 = scope.width + (size2 / 2) - (size2 / 2) * Math.cos(startAngle);
			var x3 = scope.width + (size2 / 2) + (size2 / 2) * Math.sin(endAngle);
			var y3 = scope.width + (size2 / 2) - (size2 / 2) * Math.cos(endAngle);

			var big = 0;
			if (endAngle - startAngle > Math.PI) {
				big = 1;
			}

			var d = "M " + (scope.size / 2) + "," + 0 +   	// Start at center top
			" A " + (scope.size / 2) + "," + (scope.size / 2) +    	// Draw an arc of radius r
			" 0 " + big + " 1 " + x2 + "," + y2 +     	// Arc goes to to (x2,y2)
			" L " + x3 + "," + y3 +     				// Draw line to (x3,y3)
			" A " + (size2 / 2) + "," + (size2 / 2) +   // Draw an arc of radius r
			" 0 " + big + " 0 " + x4 + "," + y4 +     	// Arc goes to to (x4,y4)
			" Z";                       				// Close path back to center top

			path.setAttribute("d", d); // Set this path
			path.setAttribute("fill", 'white');

			var chart = document.createElementNS(svgns, "svg:svg");
			chart.setAttribute("width", scope.size);
			chart.setAttribute("height", scope.size);
			chart.appendChild(path); // Add wedge to chart

			element.replaceWith(chart);
		}
	}
})
