angular.module('server', [])

.constant('conf', {
    //server: ["http://localhost", "", 132, ""]
    //server: ["https://irkey.co/eamobile", "", "test", ""]
    //server: ["http://192.168.1.3", "", "jokerit", ""]
    //server: ["http://10.0.1.10", "", "jokerit", ""]
    //server: ["http://localhost", "", "jokerit", ""]

    //server: ["http://172.20.10.7", "", "jokerit", ""]
    //server: ["http://192.168.44.120", "", "jokerit", ""]

    server: ["https://irkey.co", "/easyaccess", "jokerit", ""]
})

.factory('server', function($http, $q, conf) {

    var survey;
    var report;

    return {
        survey: function(refresh) {
            if(!survey || refresh) {
                $http.defaults.headers.common.token = localStorage.getItem("token");
                return $http({
                    url: conf.server[0] + conf.server[1] + "/api/survey/unit/" + conf.server[2],
                    method: "GET"
                }).success(function(data) {
                    survey = data;
                });
            } else {
                var deferred = $q.defer();
                var data = {}
                data.data = survey;
                deferred.resolve(data);
                return deferred.promise;
            }
        },
        report: function(refresh) {
            if(!report || refresh) {
                $http.defaults.headers.common.token = localStorage.getItem("token");
                return $http({
                    url: conf.server[0] + conf.server[1] + "/api/report/unit/" + conf.server[2],
                    method: "GET"
                }).success(function(data) {
                    report = data;
                });
            } else {
                var deferred = $q.defer();
                var data = {}
                data.data = report;
                deferred.resolve(data);
                return deferred.promise;
            }
        },
        post: function(packet) {
            console.log("post");
            return $http({
                url: conf.server[0] + conf.server[1] + "/api/post/unit/" + conf.server[2],
                method: "PUT",
                data: packet
            });
        },
        login: function(packet) {
            return $http({
                url: conf.server[0] + conf.server[1] + "/api/login/unit/" + conf.server[2],
                method: "PUT",
                data: packet
            }).success(function (data, status, header, config) {
                localStorage.setItem("token", header().token);
            });
        },
        logout: function() {
            var deferred = $q.defer();
            localStorage.setItem("token", null);
            deferred.resolve(null);
            return deferred.promise;
        }
    }
})
